## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developer.mindbridge.ai/llms.txt)

Use this file to discover all available pages before exploring further.

### Create Databricks Authorization

**POST**

`/v1/databricks-auth`

**cURL**

```bash
curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/databricks-auth \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '\n{\n  "connectionId": "<string>",\n  "host": "<string>",\n  "httpPath": "<string>",\n  "port": 123,\n  "accessToken": "<string>",\n  "clientId": "<string>",\n  "clientSecret": "<string>"\n}\n'
```

```python
import requests

url = "https://{tenant}.mindbridge.ai/api/v1/databricks-auth"

payload = {
    "connectionId": "<string>",
    "host": "<string>",
    "httpPath": "<string>",
    "port": 123,
    "accessToken": "<string>",
    "clientId": "<string>",
    "clientSecret": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

```javascript
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    connectionId: '<string>',
    host: '<string>',
    httpPath: '<string>',
    port: 123,
    accessToken: '<string>',
    clientId: '<string>',
    clientSecret: '<string>'
  })
};

fetch('https://{tenant}.mindbridge.ai/api/v1/databricks-auth', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php


```

**Response**
**201 - application/json**

```json
{
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "connectionId": "<string>",
  "host": "<string>",
  "port": 123,
  "httpPath": "<string>",
  "clientId": "<string>"
}
```

### Authorization

**Authorization**
- string
- header
- required
- Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

### Body

- application/json

| Field          | Type    | Description                                               |
|----------------|---------|-----------------------------------------------------------|
| connectionId   | string  | The ID of the Connection this authorization belongs to.   |
| authType       | enum    | The authentication method to use. Possible values: PAT, OAUTH_M2M. |
| host           | string  | The Databricks server hostname. Minimum string length: 1 |
| httpPath       | string  | The HTTP path for the Databricks SQL warehouse or cluster. Minimum string length: 1 |
| port           | integer | The port number for the Databricks connection. Typically 443. |
| accessToken    | string  | The personal access token for PAT authentication.         |
| clientId       | string  | The OAuth client ID for OAUTH_M2M authentication.        |
| clientSecret    | string  | The OAuth client secret for OAUTH_M2M authentication.     |

### Response

- **201** - application/json
- Created

Additional fields follow similar structure as above for the response.
